Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.decorator
Interface IDecoration

public interface IDecoration

This represents a decoration object returned by a decorator target. The client holds onto this so that it can be deleted later.

Method Summary
`void` `setIgnoreParentVisibility(boolean ignoreParentVisibility)` If this flag is set to true, then the decoration's visibility is not to be affected by the parent's visibility.
`boolean` `shouldIgnoreParentVisibility()` Should this decoration's visibility be affected by the parent's visibility?

Method Detail

### setIgnoreParentVisibility

    public void setIgnoreParentVisibility(boolean ignoreParentVisibility)

  If this flag is set to true, then the decoration's visibility is not to be affected by the parent's visibility. If this flag is set to false, if the any figures in the parent hierarchy of this decoration is not visible, then the decoration will be hidden.

  Parameters:
    `ignoreParentVisibility` - True if the decoration's visibility is not to be affected by the parent's visibility; false otherwise.

### shouldIgnoreParentVisibility

    public boolean shouldIgnoreParentVisibility()

  Should this decoration's visibility be affected by the parent's visibility?

  Returns:
    True if the decoration's visibility is not to be affected by the parent's visibility; false otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.